/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package stage3;

import abstractsyntaxtree.ParExpressionNode;
import abstractsyntaxtree.SwitchBlockStatementGroupsNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractSwitchStatementVisitor;
import codegeneration.environment.Stage3Environment;
import exceptions.CompilerException;

/**
 *
 * @author Michael Burzan
 * Not supported in TeaJay
 */
public class Stage3SwitchStatementVisitor extends AbstractSwitchStatementVisitor {
    private final Stage3Environment stage3Env;

    public Stage3SwitchStatementVisitor(Stage3Environment stage3Env) {
        this.stage3Env = stage3Env;
    }

    @Override
    public void begin(ParExpressionNode node) throws CompilerException {
  
    }

    @Override
    public void begin(SwitchBlockStatementGroupsNode node) throws CompilerException {
  
    }

    @Override
    public Visitor visit(ParExpressionNode node) throws CompilerException {
        return new Stage3ParExpressionVisitor(stage3Env);
    }

    @Override
    public Visitor visit(SwitchBlockStatementGroupsNode node) throws CompilerException {
        return new Stage3SwitchBlockStatementGroupVisitor(stage3Env);
    }

    @Override
    public void end(ParExpressionNode node) throws CompilerException {
  
    }

    @Override
    public void end(SwitchBlockStatementGroupsNode node) throws CompilerException {
  
    }
    
}
