/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package stage3;

import abstractsyntaxtree.ClassOrInterfaceDeclaratioNode;
import abstractsyntaxtree.TjImplDeclarationNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractTypeDeclarationVisitor;
import codegeneration.environment.Stage3Environment;
import codegeneration.javavisitor.compilationunit.TypeDeclarationVisitor;
import exceptions.CompilerException;

/**
 *
 * @author Michael Burzan
 */
class Stage3TypeDeclarationVisitor extends AbstractTypeDeclarationVisitor {
    private final Stage3Environment stage3Env;

    public Stage3TypeDeclarationVisitor(Stage3Environment stage3Env) {
        this.stage3Env = stage3Env;
    }

    @Override
    public void begin(ClassOrInterfaceDeclaratioNode node) throws CompilerException {

    }

    @Override
    public Visitor visit(ClassOrInterfaceDeclaratioNode node) throws CompilerException {
        return null;
    }

    @Override
    public void end(ClassOrInterfaceDeclaratioNode node) throws CompilerException {

    }

    @Override
    public void begin(TjImplDeclarationNode node) throws CompilerException {

    }

    @Override
    public Visitor visit(TjImplDeclarationNode node) throws CompilerException {
        return new Stage3TjImplDeclarationVisitor(stage3Env);
    }

    @Override
    public void end(TjImplDeclarationNode node) throws CompilerException {

    }
    
}
