/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.abstractvisitors;

import abstractsyntaxtree.AssignmentOperatorNode;
import abstractsyntaxtree.Expression1Node;
import codegeneration.Visitor;

/**
 *
 * @author Michael Burzan
 */
public abstract class AbstractExpressionVisitor extends Visitor {

    public abstract void begin(Expression1Node node) throws exceptions.CompilerException;

    public abstract void begin(AssignmentOperatorNode node) throws exceptions.CompilerException;

    public abstract Visitor visit(Expression1Node node) throws exceptions.CompilerException;

    public abstract void visit(AssignmentOperatorNode node) throws exceptions.CompilerException;

    public abstract void end(Expression1Node node) throws exceptions.CompilerException;

    public abstract void end(AssignmentOperatorNode node) throws exceptions.CompilerException;
//    public abstract void begin(PrefixOpNode node)throws exceptions.CompilerException;
//    public abstract void begin(ExpressionNode node)throws exceptions.CompilerException;
//    public abstract void begin(TypeNode node)throws exceptions.CompilerException;
//    public abstract void begin(PrimaryNode node)throws exceptions.CompilerException;
//    public abstract void begin(SelectorNode node)throws exceptions.CompilerException;
//    public abstract void begin(PostfixOpNode node)throws exceptions.CompilerException;
//    public abstract void begin(Expression2RestNode node)throws exceptions.CompilerException;
//    public abstract void begin(Expression1RestNode node)throws exceptions.CompilerException;
//    public abstract void begin(AssignmentOperatorNode node)throws exceptions.CompilerException;
//    public abstract void begin(ExpressionHelperNode node)throws exceptions.CompilerException;
//    
//    public abstract void visit(PrefixOpNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(ExpressionNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(TypeNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(PrimaryNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(SelectorNode node)throws exceptions.CompilerException;
//    public abstract void visit(PostfixOpNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(Expression2RestNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(Expression1RestNode node)throws exceptions.CompilerException;
//    public abstract void visit(AssignmentOperatorNode node)throws exceptions.CompilerException;
//    public abstract Visitor visit(ExpressionHelperNode node)throws exceptions.CompilerException;
//    
//    public abstract void end(PrefixOpNode node)throws exceptions.CompilerException;
//    public abstract void end(ExpressionNode node)throws exceptions.CompilerException;
//    public abstract void end(TypeNode node)throws exceptions.CompilerException;
//    public abstract void end(PrimaryNode node)throws exceptions.CompilerException;
//    public abstract void end(SelectorNode node)throws exceptions.CompilerException;
//    public abstract void end(PostfixOpNode node)throws exceptions.CompilerException;
//    public abstract void end(Expression2RestNode node)throws exceptions.CompilerException;
//    public abstract void end(Expression1RestNode node)throws exceptions.CompilerException;
//    public abstract void end(AssignmentOperatorNode node)throws exceptions.CompilerException;
//    public abstract void end(ExpressionHelperNode node)throws exceptions.CompilerException;
}
