/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.classes;

import abstractsyntaxtree.ClassBodyDeclarationNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractClassBodyVisitor;
import teajay.bytecode.ClassFile;

/**
 *
 * @author cefour
 */
public class ClassBodyVisitor extends AbstractClassBodyVisitor {

    private ClassFile classFile;
    private ClassBodyDeclarationVisitor classBodyDeclarationVisitor;

    ClassBodyVisitor(ClassFile classFile) {
        this.classFile = classFile;
    }

    @Override
    public void begin(ClassBodyDeclarationNode node) {
    }

    @Override
    public Visitor visit(ClassBodyDeclarationNode node) {
        return this.classBodyDeclarationVisitor = new ClassBodyDeclarationVisitor(classFile);
    }

    @Override
    public void end(ClassBodyDeclarationNode node) {
    }
}
