/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package codegeneration.javavisitor.expression.expressiontransform;

import codegeneration.environment.ExpressionEnvironment;
import abstractsyntaxtree.ExpressionNode;
import abstractsyntaxtree.InfixOpNode;
import codegeneration.instruction.InstructionCreator;
import exceptions.CompilerException;
import java.util.Deque;
import java.util.LinkedList;
import symbol.LocalEntry;
import symbol.SymbolFacade;
import teajay.bytecode.ClassFile;
import teajay.bytecode.attributes.code.AStore;
import teajay.bytecode.attributes.code.JVMInstruction;
import teajay.bytecode.exceptions.ByteCodeException;
import teajay.bytecode.methods.MethodInfo;

/**
 *
 * @author cefour
 */
public class VariableInitExpressionCreator extends ExpressionTransformer {

    private final ClassFile file;
    private final MethodInfo info;
    private final String typeName;
    private final String varName;
    private final ExpressionNode expression;
    private String expressionResultType;

    public VariableInitExpressionCreator(ClassFile file, MethodInfo info, String typeName, String varName, ExpressionNode node) {
        this.file = file;
        this.info = info;
        this.typeName = typeName;
        this.varName = varName;
        this.expression = node;
    }

    public void makeInstructions() throws CompilerException {
     //   ExpressionEnvironment env = new ExpressionEnvironment(file, info);
//        Deque<InfixOpNode.InfixOps> stack = new LinkedList<>();
//       // env.lValueResultExpected = typeName;
//
//        this.expression.accept(new ExpressionVisitor(env, stack, true));
//        try {
//            LocalEntry entry = SymbolFacade.instance().getLocalTable().getEntry(varName);
//            InstructionCreator.PutOperatorInstructions(env, info, stack);
//
//   //         if (!env.getResultType().equals(typeName) && !SymbolFacade.instance().isDerivated(typeName, env.getResultType())) {
//     //           throw new CompilerException("Expected: " + typeName + " Found:" + env.getResultType(), expression.getSymbol());
//       //     }
//
//
//
//            env.insertCode(new AStore(entry.getIndex()));
//        } catch (ByteCodeException | CompilerException ex) {
//            ex.printStackTrace(System.err);
//            System.exit(-1);
//        }
        //InstructionCreator.MakeDebugOutputOfLocalReference(info, varName);
    }

    //@Override
//    public void makeInstructions() {
//        ExpressionEnvironment env = new ExpressionEnvironment(file, info, typeName, varName);
//        Deque<InfixOpNode.InfixOps> stack = new LinkedList<>();
//        IsCompositeExpressionVisitor isCompositeExpression = new IsCompositeExpressionVisitor();
//        if (this.typeName.equals("tj/lang/Number")
//                || this.typeName.equals("tj/lang/String")
//                || this.typeName.equals("tj/lang/Boolean")
//                || this.typeName.equals("java/lang/Integer")) {
//            ;
//            this.expression.accept(isCompositeExpression);
//            if (isCompositeExpression.hasCompositeExpression) {
//                JVMInstructionList methodInstructions = this.info.getCode().getInstructionList();
//                try{
//                methodInstructions.add(new New(new ClassInfo(this.typeName)));
//                methodInstructions.add(new Dup());
//                }catch(ByteCodeException ex){
//                    ex.printStackTrace(System.err);
//                    System.exit(-1);
//                }
//            }
//            env.isCompositeExpression = isCompositeExpression.hasCompositeExpression;
//        }
//        
//        VariableInitExpressionVisitor expVisitor = new VariableInitExpressionVisitor(stack, env);
//        this.expression.accept(expVisitor);
//        this.expressionResultType = expVisitor.getResultType();
//        
//        InstructionCreator.PutOperatorInstructions(info, stack);
//        
//        if (isCompositeExpression.hasCompositeExpression) {
//            
//            JVMInstructionList instructionList = info.getCode().getInstructionList();
//            try{
//            MethodRefInfo constructor = InstructionCreator.CreateConstructor(typeName, env.resultType);
//            instructionList.add(new InvokeSpecial(constructor));
//            
//            instructionList.add(new AStore(SymbolFacade.instance().getLocalTable().getEntry(varName).getIndex()));
//        
//            }catch(ByteCodeException ex){
//                ex.printStackTrace(System.err);
//            }
//        }
//    }
    public String getExpressionResultType() {
        return this.expressionResultType;
    }
}
