/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package stage2;

import abstractsyntaxtree.AnnotationsNode;
import abstractsyntaxtree.ArgumentsNode;
import abstractsyntaxtree.ClassBodyNode;
import codegeneration.Visitor;
import codegeneration.abstractvisitors.AbstractEnumConstantVisitor;
import exceptions.CompilerException;

/**
 *
 * @author Michael Kußmann <michi@outx.de>
 */
public class Stage2EnumConstantVisitor extends AbstractEnumConstantVisitor {

    @Override
    public void begin(AnnotationsNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void begin(ArgumentsNode node) throws CompilerException {
        throw new CompilerException("Enums cannot have user defined values yet", node.getSymbol());
    }

    @Override
    public void begin(ClassBodyNode node) throws CompilerException {
        throw new CompilerException("Cannot have a Block after enum declaration yet");
    }

    @Override
    public Visitor visit(AnnotationsNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public Visitor visit(ArgumentsNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public Visitor visit(ClassBodyNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void end(AnnotationsNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void end(ArgumentsNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }

    @Override
    public void end(ClassBodyNode node) {
        throw new UnsupportedOperationException("Not supported yet.");
    }
}
