/*
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
    
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/
package teajay.util.java;

/**
 * Just for testing. No official part of the API.
 * @author Michael Kußmann <michi@outx.de>
 */
@Deprecated
public final class Java {
    private Java() {
    }
    
    public static int b2i(byte a) {
        return a;
    }
    
    public static int s2i(short a) {
        return a;
    }
    
    public static float i2f(int a) {
        return a;
    }
    
    public static float i2f(Integer a) {
        return a;
    }
    
    public static double i2d(int a) {
        return a;
    }
    
    public static double i2d(Integer a) {
        return a;
    }
    
    public static int add(int a, int b) {
        return a + b;
    }
    
    public static Integer add(Integer a, Integer b) {
        return a + b;
    }
    
    public static long add(long a, long b) {
        return a + b;
    }    
    
    public static Long add(Long a, Long b) {
        return a + b;
    }    
    
    public static float add(float a, float b) {
        return a + b;
    }
    
    public static Float add(Float a, Float b) {
        return a + b;
    }
    
    public static double add(double a, double b) {
        return a + b;
    }
    
    public static Double add(Double a, Double b) {
        return a + b;
    }
    
    public static Integer mult(Integer a, Integer b) {
        return a * b;
    }
    
    public static long mult(long a, long b) {
        return a * b;
    }    
    
    public static Long mult(Long a, Long b) {
        return a * b;
    }    
    
    public static float mult(float a, float b) {
        return a * b;
    }
    
    public static Float mult(Float a, Float b) {
        return a * b;
    }
    
    public static double mult(double a, double b) {
        return a * b;
    }
    
    public static Double mult(Double a, Double b) {
        return a * b;
    }
    
    public static Integer sub(Integer a, Integer b) {
        return a - b;
    }
    
    public static long sub(long a, long b) {
        return a - b;
    }    
    
    public static Long sub(Long a, Long b) {
        return a - b;
    }    
    
    public static float sub(float a, float b) {
        return a - b;
    }
    
    public static Float sub(Float a, Float b) {
        return a - b;
    }
    
    public static double sub(double a, double b) {
        return a - b;
    }
    
    public static Double sub(Double a, Double b) {
        return a - b;
    }
    
    public static Integer div(Integer a, Integer b) {
        return a / b;
    }
    
    public static long div(long a, long b) {
        return a / b;
    }    
    
    public static Long div(Long a, Long b) {
        return a / b;
    }    
    
    public static float div(float a, float b) {
        return a / b;
    }
    
    public static Float div(Float a, Float b) {
        return a / b;
    }
    
    public static double div(double a, double b) {
        return a / b;
    }
    
    public static Double div(Double a, Double b) {
        return a / b;
    }
    
    public static Boolean eq(int a, int b) {
        return a == b;
    }
    
    public static Boolean eq(long a, long b) {
        return a == b;
    }
    
    public static Boolean eq(float a, float b) {
        return a == b;
    }
    
    public static Boolean eq(double a, double b) {
        return a == b;
    }
    
    public static Boolean eq(short a, short b) {
        return a == b;
    }
    
    public static Boolean eq(byte a, byte b) {
        return a == b;
    }
    
    public static Boolean lt(int a, int b) {
        return a < b;
    }
    
    public static Boolean lt(long a, long b) {
        return a < b;
    }
    
    public static Boolean lt(float a, float b) {
        return a < b;
    }
    
    public static Boolean lt(double a, double b) {
        return a < b;
    }
    
    public static Boolean lt(short a, short b) {
        return a < b;
    }
    
    public static Boolean lt(byte a, byte b) {
        return a < b;
    }
    
    public static Boolean gt(int a, int b) {
        return a > b;
    }
    
    public static Boolean gt(long a, long b) {
        return a > b;
    }
    
    public static Boolean gt(float a, float b) {
        return a > b;
    }
    
    public static Boolean gt(double a, double b) {
        return a > b;
    }
    
    public static Boolean gt(short a, short b) {
        return a > b;
    }
    
    public static Boolean gt(byte a, byte b) {
        return a > b;
    }
    
    public static Boolean ge(int a, int b) {
        return a >= b;
    }
    
    public static Boolean ge(long a, long b) {
        return a >= b;
    }
    
    public static Boolean ge(float a, float b) {
        return a >= b;
    }
    
    public static Boolean ge(double a, double b) {
        return a >= b;
    }
    
    public static Boolean ge(short a, short b) {
        return a >= b;
    }
    
    public static Boolean ge(byte a, byte b) {
        return a >= b;
    }
    
    public static Boolean le(int a, int b) {
        return a <= b;
    }
    
    public static Boolean le(long a, long b) {
        return a <= b;
    }
    
    public static Boolean le(float a, float b) {
        return a <= b;
    }
    
    public static Boolean le(double a, double b) {
        return a <= b;
    }
    
    public static Boolean le(short a, short b) {
        return a <= b;
    }
    
    public static Boolean le(byte a, byte b) {
        return a <= b;
    }
    
    public static<T extends Comparable<? super T>> Boolean lt(T a, T b) {
        return a.compareTo(b) < 0;
    }
    
    public static<T extends Comparable<? super T>> Boolean le(T a, T b) {
        return a.compareTo(b) <= 0;
    }
    
    public static<T extends Comparable<? super T>> Boolean gt(T a, T b) {
        return a.compareTo(b) > 0;
    }
    
    public static<T extends Comparable<? super T>> Boolean ge(T a, T b) {
        return a.compareTo(b) >= 0;
    }
    
    public static<T extends Comparable<? super T>> Boolean eq(T a, T b) {
        return a.compareTo(b) == 0;
    }
    
}
